# babel-preset-minify

[![NPM version][npm-image]][npm-url]
[![Build status][travis-image]][travis-url]
[![Test coverage][codecov-image]][codecov-url]
[![Dependency Status][david-image]][david-url]
[![License][license-image]][license-url]
[![Downloads][downloads-image]][downloads-url]

A babel preset with all the minification plugins I can find in the hopes that one day, we will have a minifier based on babel plugins instead of uglify-js.

Goals:

- Faster minification since we don't have to re-parse the AST to minify
- Better ES target control, meaning we could enable/disable specific ES features like arrow functions

## Usage

```bash
npm i --save-dev babel-preset-minify
```

```json
{
  "env": {
    "production": {
      "presets": [
        "minify"
      ]
    }
  }
}
```

## Notes

The following are still not ported to babel 5:

- `minify-booleans`
- `minify-boolean-cast`
- `minify-number-cast`

[npm-image]: https://img.shields.io/npm/v/babel-preset-minify.svg?style=flat-square
[npm-url]: https://npmjs.org/package/babel-preset-minify
[travis-image]: https://img.shields.io/travis/jonathanong/babel-preset-minify/master.svg?style=flat-square
[travis-url]: https://travis-ci.org/jonathanong/babel-preset-minify
[codecov-image]: https://img.shields.io/codecov/c/github/jonathanong/babel-preset-minify/master.svg?style=flat-square
[codecov-url]: https://codecov.io/github/jonathanong/babel-preset-minify
[david-image]: http://img.shields.io/david/jonathanong/babel-preset-minify.svg?style=flat-square
[david-url]: https://david-dm.org/jonathanong/babel-preset-minify
[license-image]: http://img.shields.io/npm/l/babel-preset-minify.svg?style=flat-square
[license-url]: LICENSE
[downloads-image]: http://img.shields.io/npm/dm/babel-preset-minify.svg?style=flat-square
[downloads-url]: https://npmjs.org/package/babel-preset-minify
